Subject: Re: bug#12045: 24.1.50; semantic :: Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

From: David Engster <[email-masked]>
Date: Sun, 14 Oct 2012 21:41:26 +0200

Stefan Monnier writes:
>> So if the keybindings should simply stay enabled in all buffers if
>> semantic-mode is active, I will have to add some
>> `semantic-raise-error-if-unparsed' function at the beginning of every
>> interactive function.
>
> Also, compared to making the binding conditional, this has the advantage
> that the error message can say *why* the binding doesn't work, contrary
> to a laconic "<key> is undefined".

I've now merged those changes into Emacs trunk. The Semantic menu items
should now be inactive when the buffer is not parsed. Also, I added the
above described check to some of the interactive functions so they raise
a proper error. Please let me know if I missed some important ones here.

-David